%define module cups

Summary:       Python bindings for the CUPS API
Name:          python-%{module}
Version:       1.9.62
Release:       %mkrel 2
Source0:       http://cyberelk.net/tim/data/pycups/pycups-%{version}.tar.bz2
License:       BSD 
Group:         Development/Python
Url:           http://cyberelk.net/tim/software/pycups/
BuildRequires: python-devel
BuildRequires: cups-devel

%description
Python bindings for the CUPS API.

%files
%{py_platsitedir}/*.egg-info
%{py_platsitedir}/cups.so

#--------------------------------------------------------------------

%prep
%setup -n pycups-%version
%apply_patches

%build
CFLAGS=-DVERSION=\\\"%{version}\\\" python setup.py build

%install
python setup.py install --skip-build --root=%{buildroot}


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.9.62-2.mga3
+ Revision: 378623
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 fwang <fwang> 1.9.62-1.mga3
+ Revision: 318015
- update patch
- new version 1.9.62

* Fri May 11 2012 dmorgan <dmorgan> 1.9.61-2.mga2
+ Revision: 235306
- Bump release to push in release

* Thu May 10 2012 dmorgan <dmorgan> 1.9.61-1.mga2
+ Revision: 235083
- New version 1.9.61
  Add P1: Apply upstream patch to fix crash on loading invalid PPDs (rhbz #811159).

* Tue Oct 18 2011 dmorgan <dmorgan> 1.9.60-1.mga2
+ Revision: 156000
- New version 1.9.60

* Sat Jun 11 2011 dmorgan <dmorgan> 1.9.57-1.mga2
+ Revision: 103370
- New version 1.9.57

* Sat Apr 16 2011 ahmad <ahmad> 1.9.55-1.mga1
+ Revision: 86821
- Update to 1.9.55

* Fri Jan 21 2011 dmorgan <dmorgan> 1.9.53-2.mga1
+ Revision: 29630
- imported package python-cups

